package cn.net.cpzslibs.prot.handset.bean.req;

public class Prot20051ReqBean {
	/*“product_id”:”12345678”,
	“label_id”:”123434434”,
       “produce_date”:”2014-12-22 12:09:22”,
        “batch_number”:”xdddd”,
       “car_number”:”12232”,
       “engine_number”:”234f”,
       “vin”:”9888”,
       “opt”:3
       “mobile_number”:”12334343”,
       “opt_addr”:12,
       “opt_person”:22,
        “opt_memo”:”操作说明”
       “flag”:1*/
	private String product_id ; 
	private String label_id; 
	private String produce_date ; 
	private String batch_number ; 
	private String car_number ; 
	private String engine_number ; 
	

	private String vin; 
	private int opt; 
	private String mobile_number ; 
	private int opt_addr; 
	private int opt_person; 
	private String opt_memo; 
	private int flag ;
	
	
	
	
	public Prot20051ReqBean(String product_id, String label_id,
			String produce_date, String batch_number, String car_number,
			String engine_number, String vin, int opt, String mobile_number,
			int opt_addr, int opt_person, String opt_memo, int flag) {
		super();
		this.product_id = product_id;
		this.label_id = label_id;
		this.produce_date = produce_date;
		this.batch_number = batch_number;
		this.car_number = car_number;
		this.engine_number = engine_number;
		this.vin = vin;
		this.opt = opt;
		this.mobile_number = mobile_number;
		this.opt_addr = opt_addr;
		this.opt_person = opt_person;
		this.opt_memo = opt_memo;
		this.flag = flag;
	}
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getLabel_id() {
		return label_id;
	}
	public void setLabel_id(String label_id) {
		this.label_id = label_id;
	}
	public String getProduce_date() {
		return produce_date;
	}
	public void setProduce_date(String produce_date) {
		this.produce_date = produce_date;
	}
	public String getBatch_number() {
		return batch_number;
	}
	public void setBatch_number(String batch_number) {
		this.batch_number = batch_number;
	}
	public String getCar_number() {
		return car_number;
	}
	public void setCar_number(String car_number) {
		this.car_number = car_number;
	}
	public String getEngine_number() {
		return engine_number;
	}
	public void setEngine_number(String engine_number) {
		this.engine_number = engine_number;
	}
	public String getVin() {
		return vin;
	}
	public void setVin(String vin) {
		this.vin = vin;
	}
	public int getOpt() {
		return opt;
	}
	public void setOpt(int opt) {
		this.opt = opt;
	}
	public String getMobile_number() {
		return mobile_number;
	}
	public void setMobile_number(String mobile_number) {
		this.mobile_number = mobile_number;
	}
	public int getOpt_addr() {
		return opt_addr;
	}
	public void setOpt_addr(int opt_addr) {
		this.opt_addr = opt_addr;
	}
	public int getOpt_person() {
		return opt_person;
	}
	public void setOpt_person(int opt_person) {
		this.opt_person = opt_person;
	}
	public String getOpt_memo() {
		return opt_memo;
	}
	public void setOpt_memo(String opt_memo) {
		this.opt_memo = opt_memo;
	}
	public int getFlag() {
		return flag;
	}
	public void setFlag(int flag) {
		this.flag = flag;
	}
	@Override
	public String toString() {
		return "Prot20051ReqBean [product_id=" + product_id + ", label_id="
				+ label_id + ", produce_date=" + produce_date
				+ ", batch_number=" + batch_number + ", car_number="
				+ car_number + ", engine_number=" + engine_number + ", vin="
				+ vin + ", opt=" + opt + ", mobile_number=" + mobile_number
				+ ", opt_addr=" + opt_addr + ", opt_person=" + opt_person
				+ ", opt_memo=" + opt_memo + ", flag=" + flag + "]";
	}
	
	
}